# Class ArbitrationDisputeList

#### Hierarchy

- unknown
  - ArbitrationDisputeList

- Defined in src/protobuf/pb_pb.d.ts:6799
- Defined in src/protobuf/pb_pb.d.ts:6813

#####
Index

### Constructors

constructor

### Methods

addDispute
clearDisputeList
getDisputeList
serializeBinary
setDisputeList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new ArbitrationDisputeList(): ArbitrationDisputeList

- #### Returns ArbitrationDisputeList

  Inherited from jspb.Message.constructor

## Methods

### addDispute

- addDispute(value?: Dispute, index?: number): Dispute

- #### Parameters

  - ##### `Optional` value: Dispute

  - ##### `Optional` index: number

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:6803

### clearDisputeList

- clearDisputeList(): ArbitrationDisputeList

- #### Returns ArbitrationDisputeList

  - Defined in src/protobuf/pb_pb.d.ts:6802

### getDisputeList

- getDisputeList(): Dispute[]

- #### Returns Dispute[]

  - Defined in src/protobuf/pb_pb.d.ts:6800

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6805

### setDisputeList

- setDisputeList(value: Dispute[]): ArbitrationDisputeList

- #### Parameters

  - ##### value: Dispute[]

  #### Returns ArbitrationDisputeList

  - Defined in src/protobuf/pb_pb.d.ts:6801

### toObject

- toObject(includeInstance?: boolean): ArbitrationDisputeList.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns ArbitrationDisputeList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6806

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): ArbitrationDisputeList

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ArbitrationDisputeList

  - Defined in src/protobuf/pb_pb.d.ts:6809

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ArbitrationDisputeList, reader: BinaryReader): ArbitrationDisputeList

- #### Parameters

  - ##### message: ArbitrationDisputeList

  - ##### reader: BinaryReader

  #### Returns ArbitrationDisputeList

  - Defined in src/protobuf/pb_pb.d.ts:6810

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: ArbitrationDisputeList, writer: BinaryWriter): void

- #### Parameters

  - ##### message: ArbitrationDisputeList

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:6808

### `Static` toObject

- toObject(includeInstance: boolean, msg: ArbitrationDisputeList): ArbitrationDisputeList.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ArbitrationDisputeList

  #### Returns ArbitrationDisputeList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6807

Generated using TypeDoc